# Class: WFS

## WFS

Feature format for reading and writing data in the WFS format.

#### new ol.format.WFS(opt_options) experimental

src/ol/format/wfsformat.js, line 25

  Name | Type | Description
  --- | --- | ---
  `options` | optional Optional configuration object.
  Name | Type | Description
  --- | --- | ---
  `featureNS` | string | The namespace URI used for features.
  `featureType` | string | The feature type to parse. Only used for read operations.
  `schemaLocation` | string | undefined | optional Optional schemaLocation to use for serialization, this will override the default.

### Extends

- ol.format.XMLFeature

### Methods

#### readFeatureCollectionMetadata(source){ol.format.WFS.FeatureCollectionMetadata|undefined} experimental

src/ol/format/wfsformat.js, line 147

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  FeatureCollection metadata.

#### readFeatures(source){Array.<ol.Feature>} experimental

src/ol/format/wfsformat.js, line 100

  Read all features from a WFS FeatureCollection.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Features.

#### readProjection(source){ol.proj.Projection} experimental

src/ol/format/wfsformat.js, line 708

  Read the projection from a WFS source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Projection.

#### readTransactionResponse(source){ol.format.WFS.TransactionResponse|undefined} experimental

src/ol/format/wfsformat.js, line 125

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Transaction response.

#### writeGetFeature(options){Node} experimental

src/ol/format/wfsformat.js, line 596

  Name | Type | Description
  --- | --- | ---
  `options` | Options.
  Name | Type | Description
  --- | --- | ---
  `featureNS` | string | The namespace URI used for features.
  `featurePrefix` | string | The prefix for the feature namespace.
  `featureTypes` | Array.<string> | The feature type names.
  `srsName` | string | undefined | optional SRS name. No srsName attribute will be set on geometries when this is not provided.
  `handle` | string | undefined | optional Handle.
  `outputFormat` | string | undefined | optional Output format.
  `maxFeatures` | number | undefined | optional Maximum number of features to fetch.
  `geometryName` | string | undefined | optional Geometry name to use in a BBOX filter.
  `bbox` | ol.Extent | undefined | optional Extent to use for the BBOX filter.

  ##### Returns:

  Result.

#### writeTransaction(inserts, updates, deletes, options){Node} experimental

src/ol/format/wfsformat.js, line 648

  Name | Type | Description
  --- | --- | ---
  `inserts` | Array.<ol.Feature> | The features to insert.
  `updates` | Array.<ol.Feature> | The features to update.
  `deletes` | Array.<ol.Feature> | The features to delete.
  `options` | Write options.
  Name | Type | Description
  --- | --- | ---
  `featureNS` | string | The namespace URI used for features.
  `featurePrefix` | string | The prefix for the feature namespace.
  `featureType` | string | The feature type name.
  `srsName` | string | undefined | optional SRS name. No srsName attribute will be set on geometries when this is not provided.
  `handle` | string | undefined | optional Handle.
  `nativeElements` | Array.<Object> | Native elements. Currently not supported.
  `gmlOptions` | olx.format.GMLOptions | undefined | optional GML options for the WFS transaction writer.

  ##### Returns:

  Result.